---
image: alpine:edge

ruff:
  before_script:
    - adduser -D build
  script:
    - .ci/ruff.sh

mypy:
  before_script:
    - adduser -D build
  script:
    - .ci/mypy.sh

native-build:
  before_script:
    - adduser -D build
  script:
    - .ci/native-build.sh
  allow_failure: true

docs:
  stage: test
  before_script:
    - adduser -D build
  script:
    - ".ci/docs.sh"
  artifacts:
    paths:
      - public

deploy:
  only:
    - master
  stage: deploy
  before_script:
    - apk -q add openssh-client rsync
  script:
    - mkdir "${HOME}/.ssh"
    - echo "${SSH_HOST_KEY}" > "${HOME}/.ssh/known_hosts"
    - echo "${SSH_PRIVATE_KEY}" > "${HOME}/.ssh/id_ed25519"
    - chmod 700 "${HOME}/.ssh/id_ed25519"
    - rsync -hrvz --delete -e "ssh -p ${SSH_PORT}" public/ "${SSH_HOST}":/var/www/docs.postmarketos.org/mrhlpr/
  environment:
    name: deploy
